Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### link()

Examples

    void draw() {
      rect(20, 20, 60, 60);
    }

    void mousePressed() {
      link("http://processing.org");
    }

    void draw() {
      rect(20, 20, 60, 60);
    }

    void mousePressed() {
      link("http://processing.org", "_new");
    }

Description | Links to a webpage either in the same window or in a new window. The complete URL must be specified.

Syntax

    link(url)
    link(url, target)

Parameters

url | String: complete url as a String in quotes
target | String: name of the window to load the URL as a string in quotes

Returns | None
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST